/**
 * Adds the given value to the inject property of the annotated class.
 * Used to annotate the constructor parameters of an AngularJS service/component class.
 * @param value The string name of the dependency.
 */
export function Inject(value: string) {
  return (target: any, propertyKey: string | symbol, parameterIndex: number): void => {
    target.$inject = target.$inject = [];
    target.$inject[parameterIndex] = value;
  };
}
